unit Logger;

interface

type
  TLogger = class(TObject)
  private
    FFilename: String;
    FOutfile: TextFile;
  public
    constructor Create(logFileName: String);
    destructor Destroy; override;
    procedure AddRecord(newRecord: String);

    property FileName: String read FFileName;
  end; { TLogger }

implementation

{ TLogger }

procedure TLogger.AddRecord(newRecord: String);
begin
    WriteLn(FOutfile, newRecord);
end; { TLogger.AddRecord }

constructor TLogger.Create(logFileName: String);
begin
    inherited Create;
    FFileName := logFileName;
    AssignFile(FOutfile, FFileName);
    Rewrite(FOutfile);
end; { TLogger.Create }

destructor TLogger.Destroy;
begin
    CloseFile(FOutfile);
    inherited Destroy;
end; { TLogger.Destroy }

end.
